=== APM_Mavtest/Makefile ===
#
# Trivial makefile for building APM
#

#
# Select 'mega' for the original APM, or 'mega2560' for the V2 APM.
#
BOARD	=	mega2560

include ../libraries/AP_Common/Arduino.mk
