=== debian/changelog ===
pymavlink (2.4.37-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Remove invalid upstream metadata

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * Remove python3-future dependency

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Jan 2024 17:27:00 +0100

pymavlink (2.4.37-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream mdatadata fields: Bug-Database, Bug-Submit.
  * Update standards to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.
  [ Steev Klimaszewski ]
  * Update mavlink message_definitions
  * New upstream version 2.4.37
  * Add lintian-overrides for the js in the generator
  * Update dependencies and add myself to Uploaders
  * Remove some files that aren't needed after dh_python3 finishes running
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 11 Nov 2022 14:59:40 -0600

pymavlink (2.4.26-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Feb 2022 17:54:05 +0100
