=== debian/control ===
Source: pymavlink
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
           Steev Klimaszewski <steev@kali.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libxml2-dev,
               libxslt-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-lxml,
               python3-numpy,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/ArduPilot/pymavlink
Vcs-Browser: https://gitlab.com/kalilinux/packages/pymavlink
Vcs-Git: https://gitlab.com/kalilinux/packages/pymavlink.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pymavlink
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python implementation of the MAVLink protocol (Python 3)
 This package contains Python implementation of the MAVLink protocol. It
 includes a source code generator (generator/mavgen.py) to create MAVLink
 protocol implementations for other programming languages as well. Also
 contains tools for analyzing flight logs.
 .
 This package installs the library for Python 3.
