=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pymavlink
export MDEF=$(CURDIR)/debian/mavlink/message_definitions
export PYBUILD_AFTER_TEST=rm -f {build_dir}/tmp.dump {build_dir}/prms.txt

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	rm -rf debian/python3-pymavlink/usr/lib/python3.*
# Created during tests run, not needed
	rm -rf debian/python3-pymavlink/usr/lib/python3/dist-packages/test_wp*.txt
# Not needed as it's just a duplicate copy of the license
	rm -rf debian/python3-pymavlink/usr/lib/python3/dist-packages/pymavlink-2.4.37.dist-info/COPYING
