=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pymavlink-$1.tar.gz%" \
   https://github.com/ArduPilot/pymavlink/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
